import{s as ct,o as pt,n as ut}from"../chunks/scheduler.182ea377.js";import{S as mt,i as ft,g as d,s as r,r as m,A as ht,h as l,f as o,c as n,j as b,u as f,x as u,k as M,y as t,a as c,v as h,d as g,t as v,w as _}from"../chunks/index.abf12888.js";import{T as gt}from"../chunks/Tip.230e2334.js";import{D as $}from"../chunks/Docstring.93f6f462.js";import{H as Fe}from"../chunks/Heading.16916d63.js";function vt(ce){let p,O=`The algorithm and model type are decoupled. You can use either DPMSolver or DPMSolver++ for both noise
prediction and data prediction models.`;return{c(){p=d("p"),p.textContent=O},l(S){p=l(S,"P",{"data-svelte-h":!0}),u(p)!=="svelte-95n5s"&&(p.textContent=O)},m(S,K){c(S,p,K)},p:ut,d(S){S&&o(p)}}}function _t(ce){let p,O,S,K,I,pe,q,Je='<code>DPMSolverMultistep</code> is a multistep scheduler from <a href="https://huggingface.co/papers/2206.00927" rel="nofollow">DPM-Solver: A Fast ODE Solver for Diffusion Probabilistic Model Sampling in Around 10 Steps</a> and <a href="https://huggingface.co/papers/2211.01095" rel="nofollow">DPM-Solver++: Fast Solver for Guided Sampling of Diffusion Probabilistic Models</a> by Cheng Lu, Yuhao Zhou, Fan Bao, Jianfei Chen, Chongxuan Li, and Jun Zhu.',ue,E,Ze=`DPMSolver (and the improved version DPMSolver++) is a fast dedicated high-order solver for diffusion ODEs with convergence order guarantee. Empirically, DPMSolver sampling with only 20 steps can generate high-quality
samples, and it can generate quite good samples even in 10 steps.`,me,k,fe,H,Ke="It is recommended to set <code>solver_order</code> to 2 for guide sampling, and <code>solver_order=3</code> for unconditional sampling.",he,z,Qe=`Dynamic thresholding from <a href="https://huggingface.co/papers/2205.11487" rel="nofollow">Imagen</a> is supported, and for pixel-space
diffusion models, you can set both <code>algorithm_type=&quot;dpmsolver++&quot;</code> and <code>thresholding=True</code> to use the dynamic
thresholding. This thresholding method is unsuitable for latent-space diffusion models such as
Stable Diffusion.`,ge,N,Xe="The SDE variant of DPMSolver and DPM-Solver++ is also supported, but only for the first and second-order solvers. This is a fast SDE solver for the reverse diffusion SDE. It is recommended to use the second-order <code>sde-dpmsolver++</code>.",ve,A,_e,i,V,Le,Q,et="<code>DPMSolverMultistepScheduler</code> is a fast dedicated high-order solver for diffusion ODEs.",Oe,X,tt=`This model inherits from <a href="/docs/diffusers/v0.26.1/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/v0.26.1/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,Ie,x,W,qe,ee,ot=`Convert the model output to the corresponding type the DPMSolver/DPMSolver++ algorithm needs. DPM-Solver is
designed to discretize an integral of the noise prediction model, and DPM-Solver++ is designed to discretize an
integral of the data prediction model.`,Ee,P,ke,y,j,He,te,st="One step for the first-order DPMSolver (equivalent to DDIM).",ze,T,G,Ne,oe,rt="One step for the second-order multistep DPMSolver.",Ae,w,R,Ve,se,nt="One step for the third-order multistep DPMSolver.",We,C,U,je,re,dt=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`,Ge,F,Y,Re,ne,lt="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",Ue,L,B,Ye,de,it=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the sample with
the multistep DPMSolver.`,Se,J,be,D,Z,Be,le,at="Base class for the output of a scheduler’s <code>step</code> function.",Me,ae,xe;return I=new Fe({props:{title:"DPMSolverMultistepScheduler",local:"dpmsolvermultistepscheduler",headingTag:"h1"}}),k=new Fe({props:{title:"Tips",local:"tips",headingTag:"h2"}}),A=new Fe({props:{title:"DPMSolverMultistepScheduler",local:"diffusers.DPMSolverMultistepScheduler",headingTag:"h2"}}),V=new $({props:{name:"class diffusers.DPMSolverMultistepScheduler",anchor:"diffusers.DPMSolverMultistepScheduler",parameters:[{name:"num_train_timesteps",val:": int = 1000"},{name:"beta_start",val:": float = 0.0001"},{name:"beta_end",val:": float = 0.02"},{name:"beta_schedule",val:": str = 'linear'"},{name:"trained_betas",val:": Union = None"},{name:"solver_order",val:": int = 2"},{name:"prediction_type",val:": str = 'epsilon'"},{name:"thresholding",val:": bool = False"},{name:"dynamic_thresholding_ratio",val:": float = 0.995"},{name:"sample_max_value",val:": float = 1.0"},{name:"algorithm_type",val:": str = 'dpmsolver++'"},{name:"solver_type",val:": str = 'midpoint'"},{name:"lower_order_final",val:": bool = True"},{name:"euler_at_final",val:": bool = False"},{name:"use_karras_sigmas",val:": Optional = False"},{name:"use_lu_lambdas",val:": Optional = False"},{name:"final_sigmas_type",val:": Optional = 'zero'"},{name:"lambda_min_clipped",val:": float = -inf"},{name:"variance_type",val:": Optional = None"},{name:"timestep_spacing",val:": str = 'linspace'"},{name:"steps_offset",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 1000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.DPMSolverMultistepScheduler.beta_start",description:`<strong>beta_start</strong> (<code>float</code>, defaults to 0.0001) &#x2014;
The starting <code>beta</code> value of inference.`,name:"beta_start"},{anchor:"diffusers.DPMSolverMultistepScheduler.beta_end",description:`<strong>beta_end</strong> (<code>float</code>, defaults to 0.02) &#x2014;
The final <code>beta</code> value.`,name:"beta_end"},{anchor:"diffusers.DPMSolverMultistepScheduler.beta_schedule",description:`<strong>beta_schedule</strong> (<code>str</code>, defaults to <code>&quot;linear&quot;</code>) &#x2014;
The beta schedule, a mapping from a beta range to a sequence of betas for stepping the model. Choose from
<code>linear</code>, <code>scaled_linear</code>, or <code>squaredcos_cap_v2</code>.`,name:"beta_schedule"},{anchor:"diffusers.DPMSolverMultistepScheduler.trained_betas",description:`<strong>trained_betas</strong> (<code>np.ndarray</code>, <em>optional</em>) &#x2014;
Pass an array of betas directly to the constructor to bypass <code>beta_start</code> and <code>beta_end</code>.`,name:"trained_betas"},{anchor:"diffusers.DPMSolverMultistepScheduler.solver_order",description:`<strong>solver_order</strong> (<code>int</code>, defaults to 2) &#x2014;
The DPMSolver order which can be <code>1</code> or <code>2</code> or <code>3</code>. It is recommended to use <code>solver_order=2</code> for guided
sampling, and <code>solver_order=3</code> for unconditional sampling.`,name:"solver_order"},{anchor:"diffusers.DPMSolverMultistepScheduler.prediction_type",description:`<strong>prediction_type</strong> (<code>str</code>, defaults to <code>epsilon</code>, <em>optional</em>) &#x2014;
Prediction type of the scheduler function; can be <code>epsilon</code> (predicts the noise of the diffusion process),
<code>sample</code> (directly predicts the noisy sample<code>) or </code>v_prediction\` (see section 2.4 of <a href="https://imagen.research.google/video/paper.pdf" rel="nofollow">Imagen
Video</a> paper).`,name:"prediction_type"},{anchor:"diffusers.DPMSolverMultistepScheduler.thresholding",description:`<strong>thresholding</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to use the &#x201C;dynamic thresholding&#x201D; method. This is unsuitable for latent-space diffusion models such
as Stable Diffusion.`,name:"thresholding"},{anchor:"diffusers.DPMSolverMultistepScheduler.dynamic_thresholding_ratio",description:`<strong>dynamic_thresholding_ratio</strong> (<code>float</code>, defaults to 0.995) &#x2014;
The ratio for the dynamic thresholding method. Valid only when <code>thresholding=True</code>.`,name:"dynamic_thresholding_ratio"},{anchor:"diffusers.DPMSolverMultistepScheduler.sample_max_value",description:`<strong>sample_max_value</strong> (<code>float</code>, defaults to 1.0) &#x2014;
The threshold value for dynamic thresholding. Valid only when <code>thresholding=True</code> and
<code>algorithm_type=&quot;dpmsolver++&quot;</code>.`,name:"sample_max_value"},{anchor:"diffusers.DPMSolverMultistepScheduler.algorithm_type",description:`<strong>algorithm_type</strong> (<code>str</code>, defaults to <code>dpmsolver++</code>) &#x2014;
Algorithm type for the solver; can be <code>dpmsolver</code>, <code>dpmsolver++</code>, <code>sde-dpmsolver</code> or <code>sde-dpmsolver++</code>. The
<code>dpmsolver</code> type implements the algorithms in the <a href="https://huggingface.co/papers/2206.00927" rel="nofollow">DPMSolver</a>
paper, and the <code>dpmsolver++</code> type implements the algorithms in the
<a href="https://huggingface.co/papers/2211.01095" rel="nofollow">DPMSolver++</a> paper. It is recommended to use <code>dpmsolver++</code> or
<code>sde-dpmsolver++</code> with <code>solver_order=2</code> for guided sampling like in Stable Diffusion.`,name:"algorithm_type"},{anchor:"diffusers.DPMSolverMultistepScheduler.solver_type",description:`<strong>solver_type</strong> (<code>str</code>, defaults to <code>midpoint</code>) &#x2014;
Solver type for the second-order solver; can be <code>midpoint</code> or <code>heun</code>. The solver type slightly affects the
sample quality, especially for a small number of steps. It is recommended to use <code>midpoint</code> solvers.`,name:"solver_type"},{anchor:"diffusers.DPMSolverMultistepScheduler.lower_order_final",description:`<strong>lower_order_final</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether to use lower-order solvers in the final steps. Only valid for &lt; 15 inference steps. This can
stabilize the sampling of DPMSolver for steps &lt; 15, especially for steps &lt;= 10.`,name:"lower_order_final"},{anchor:"diffusers.DPMSolverMultistepScheduler.euler_at_final",description:`<strong>euler_at_final</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to use Euler&#x2019;s method in the final step. It is a trade-off between numerical stability and detail
richness. This can stabilize the sampling of the SDE variant of DPMSolver for small number of inference
steps, but sometimes may result in blurring.`,name:"euler_at_final"},{anchor:"diffusers.DPMSolverMultistepScheduler.use_karras_sigmas",description:`<strong>use_karras_sigmas</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use Karras sigmas for step sizes in the noise schedule during the sampling process. If <code>True</code>,
the sigmas are determined according to a sequence of noise levels {&#x3C3;i}.`,name:"use_karras_sigmas"},{anchor:"diffusers.DPMSolverMultistepScheduler.use_lu_lambdas",description:`<strong>use_lu_lambdas</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use the uniform-logSNR for step sizes proposed by Lu&#x2019;s DPM-Solver in the noise schedule during
the sampling process. If <code>True</code>, the sigmas and time steps are determined according to a sequence of
<code>lambda(t)</code>.`,name:"use_lu_lambdas"},{anchor:"diffusers.DPMSolverMultistepScheduler.final_sigmas_type",description:`<strong>final_sigmas_type</strong> (<code>str</code>, defaults to <code>&quot;zero&quot;</code>) &#x2014;
The final <code>sigma</code> value for the noise schedule during the sampling process. If <code>&quot;sigma_min&quot;</code>, the final sigma
is the same as the last sigma in the training schedule. If <code>zero</code>, the final sigma is set to 0.`,name:"final_sigmas_type"},{anchor:"diffusers.DPMSolverMultistepScheduler.lambda_min_clipped",description:`<strong>lambda_min_clipped</strong> (<code>float</code>, defaults to <code>-inf</code>) &#x2014;
Clipping threshold for the minimum value of <code>lambda(t)</code> for numerical stability. This is critical for the
cosine (<code>squaredcos_cap_v2</code>) noise schedule.`,name:"lambda_min_clipped"},{anchor:"diffusers.DPMSolverMultistepScheduler.variance_type",description:`<strong>variance_type</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Set to &#x201C;learned&#x201D; or &#x201C;learned_range&#x201D; for diffusion models that predict variance. If set, the model&#x2019;s output
contains the predicted Gaussian variance.`,name:"variance_type"},{anchor:"diffusers.DPMSolverMultistepScheduler.timestep_spacing",description:`<strong>timestep_spacing</strong> (<code>str</code>, defaults to <code>&quot;linspace&quot;</code>) &#x2014;
The way the timesteps should be scaled. Refer to Table 2 of the <a href="https://huggingface.co/papers/2305.08891" rel="nofollow">Common Diffusion Noise Schedules and
Sample Steps are Flawed</a> for more information.`,name:"timestep_spacing"},{anchor:"diffusers.DPMSolverMultistepScheduler.steps_offset",description:`<strong>steps_offset</strong> (<code>int</code>, defaults to 0) &#x2014;
An offset added to the inference steps. You can use a combination of <code>offset=1</code> and
<code>set_alpha_to_one=False</code> to make the last step use step 0 for the previous alpha product like in Stable
Diffusion.`,name:"steps_offset"}],source:"https://github.com/huggingface/diffusers/blob/v0.26.1/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L74"}}),W=new $({props:{name:"convert_model_output",anchor:"diffusers.DPMSolverMultistepScheduler.convert_model_output",parameters:[{name:"model_output",val:": FloatTensor"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.convert_model_output.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from the learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverMultistepScheduler.convert_model_output.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.26.1/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L419",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The converted model output.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.FloatTensor</code></p>
`}}),P=new gt({props:{$$slots:{default:[vt]},$$scope:{ctx:ce}}}),j=new $({props:{name:"dpm_solver_first_order_update",anchor:"diffusers.DPMSolverMultistepScheduler.dpm_solver_first_order_update",parameters:[{name:"model_output",val:": FloatTensor"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"noise",val:": Optional = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.dpm_solver_first_order_update.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from the learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverMultistepScheduler.dpm_solver_first_order_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.26.1/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L518",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The sample tensor at the previous timestep.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.FloatTensor</code></p>
`}}),G=new $({props:{name:"multistep_dpm_solver_second_order_update",anchor:"diffusers.DPMSolverMultistepScheduler.multistep_dpm_solver_second_order_update",parameters:[{name:"model_output_list",val:": List"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"noise",val:": Optional = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.multistep_dpm_solver_second_order_update.model_output_list",description:`<strong>model_output_list</strong> (<code>List[torch.FloatTensor]</code>) &#x2014;
The direct outputs from learned diffusion model at current and latter timesteps.`,name:"model_output_list"},{anchor:"diffusers.DPMSolverMultistepScheduler.multistep_dpm_solver_second_order_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.26.1/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L587",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The sample tensor at the previous timestep.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.FloatTensor</code></p>
`}}),R=new $({props:{name:"multistep_dpm_solver_third_order_update",anchor:"diffusers.DPMSolverMultistepScheduler.multistep_dpm_solver_third_order_update",parameters:[{name:"model_output_list",val:": List"},{name:"*args",val:""},{name:"sample",val:": FloatTensor = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.multistep_dpm_solver_third_order_update.model_output_list",description:`<strong>model_output_list</strong> (<code>List[torch.FloatTensor]</code>) &#x2014;
The direct outputs from learned diffusion model at current and latter timesteps.`,name:"model_output_list"},{anchor:"diffusers.DPMSolverMultistepScheduler.multistep_dpm_solver_third_order_update.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.26.1/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L710",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The sample tensor at the previous timestep.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.FloatTensor</code></p>
`}}),U=new $({props:{name:"scale_model_input",anchor:"diffusers.DPMSolverMultistepScheduler.scale_model_input",parameters:[{name:"sample",val:": FloatTensor"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
The input sample.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.26.1/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L892",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A scaled input sample.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.FloatTensor</code></p>
`}}),Y=new $({props:{name:"set_timesteps",anchor:"diffusers.DPMSolverMultistepScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int = None"},{name:"device",val:": Union = None"}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.DPMSolverMultistepScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/v0.26.1/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L239"}}),B=new $({props:{name:"step",anchor:"diffusers.DPMSolverMultistepScheduler.step",parameters:[{name:"model_output",val:": FloatTensor"},{name:"timestep",val:": int"},{name:"sample",val:": FloatTensor"},{name:"generator",val:" = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.FloatTensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverMultistepScheduler.step.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.DPMSolverMultistepScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.FloatTensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.DPMSolverMultistepScheduler.step.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
A random number generator.`,name:"generator"},{anchor:"diffusers.DPMSolverMultistepScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/v0.26.1/en/api/schedulers/multistep_dpm_solver_inverse#diffusers.schedulers.scheduling_utils.SchedulerOutput">SchedulerOutput</a> or <code>tuple</code>.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/v0.26.1/src/diffusers/schedulers/scheduling_dpmsolver_multistep.py#L814",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/v0.26.1/en/api/schedulers/multistep_dpm_solver_inverse#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><a
  href="/docs/diffusers/v0.26.1/en/api/schedulers/multistep_dpm_solver_inverse#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),J=new Fe({props:{title:"SchedulerOutput",local:"diffusers.schedulers.scheduling_utils.SchedulerOutput",headingTag:"h2"}}),Z=new $({props:{name:"class diffusers.schedulers.scheduling_utils.SchedulerOutput",anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput",parameters:[{name:"prev_sample",val:": FloatTensor"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.26.1/src/diffusers/schedulers/scheduling_utils.py#L50"}}),{c(){p=d("meta"),O=r(),S=d("p"),K=r(),m(I.$$.fragment),pe=r(),q=d("p"),q.innerHTML=Je,ue=r(),E=d("p"),E.textContent=Ze,me=r(),m(k.$$.fragment),fe=r(),H=d("p"),H.innerHTML=Ke,he=r(),z=d("p"),z.innerHTML=Qe,ge=r(),N=d("p"),N.innerHTML=Xe,ve=r(),m(A.$$.fragment),_e=r(),i=d("div"),m(V.$$.fragment),Le=r(),Q=d("p"),Q.innerHTML=et,Oe=r(),X=d("p"),X.innerHTML=tt,Ie=r(),x=d("div"),m(W.$$.fragment),qe=r(),ee=d("p"),ee.textContent=ot,Ee=r(),m(P.$$.fragment),ke=r(),y=d("div"),m(j.$$.fragment),He=r(),te=d("p"),te.textContent=st,ze=r(),T=d("div"),m(G.$$.fragment),Ne=r(),oe=d("p"),oe.textContent=rt,Ae=r(),w=d("div"),m(R.$$.fragment),Ve=r(),se=d("p"),se.textContent=nt,We=r(),C=d("div"),m(U.$$.fragment),je=r(),re=d("p"),re.textContent=dt,Ge=r(),F=d("div"),m(Y.$$.fragment),Re=r(),ne=d("p"),ne.textContent=lt,Ue=r(),L=d("div"),m(B.$$.fragment),Ye=r(),de=d("p"),de.textContent=it,Se=r(),m(J.$$.fragment),be=r(),D=d("div"),m(Z.$$.fragment),Be=r(),le=d("p"),le.innerHTML=at,Me=r(),ae=d("p"),this.h()},l(e){const s=ht("svelte-u9bgzb",document.head);p=l(s,"META",{name:!0,content:!0}),s.forEach(o),O=n(e),S=l(e,"P",{}),b(S).forEach(o),K=n(e),f(I.$$.fragment,e),pe=n(e),q=l(e,"P",{"data-svelte-h":!0}),u(q)!=="svelte-zo5ht"&&(q.innerHTML=Je),ue=n(e),E=l(e,"P",{"data-svelte-h":!0}),u(E)!=="svelte-l6rv24"&&(E.textContent=Ze),me=n(e),f(k.$$.fragment,e),fe=n(e),H=l(e,"P",{"data-svelte-h":!0}),u(H)!=="svelte-pt2glg"&&(H.innerHTML=Ke),he=n(e),z=l(e,"P",{"data-svelte-h":!0}),u(z)!=="svelte-1ng0gyl"&&(z.innerHTML=Qe),ge=n(e),N=l(e,"P",{"data-svelte-h":!0}),u(N)!=="svelte-18n28n2"&&(N.innerHTML=Xe),ve=n(e),f(A.$$.fragment,e),_e=n(e),i=l(e,"DIV",{class:!0});var a=b(i);f(V.$$.fragment,a),Le=n(a),Q=l(a,"P",{"data-svelte-h":!0}),u(Q)!=="svelte-12v1qo2"&&(Q.innerHTML=et),Oe=n(a),X=l(a,"P",{"data-svelte-h":!0}),u(X)!=="svelte-y0rd0p"&&(X.innerHTML=tt),Ie=n(a),x=l(a,"DIV",{class:!0});var ie=b(x);f(W.$$.fragment,ie),qe=n(ie),ee=l(ie,"P",{"data-svelte-h":!0}),u(ee)!=="svelte-1st02i8"&&(ee.textContent=ot),Ee=n(ie),f(P.$$.fragment,ie),ie.forEach(o),ke=n(a),y=l(a,"DIV",{class:!0});var De=b(y);f(j.$$.fragment,De),He=n(De),te=l(De,"P",{"data-svelte-h":!0}),u(te)!=="svelte-4nw43d"&&(te.textContent=st),De.forEach(o),ze=n(a),T=l(a,"DIV",{class:!0});var $e=b(T);f(G.$$.fragment,$e),Ne=n($e),oe=l($e,"P",{"data-svelte-h":!0}),u(oe)!=="svelte-1d6o6zu"&&(oe.textContent=rt),$e.forEach(o),Ae=n(a),w=l(a,"DIV",{class:!0});var Pe=b(w);f(R.$$.fragment,Pe),Ve=n(Pe),se=l(Pe,"P",{"data-svelte-h":!0}),u(se)!=="svelte-17nne8p"&&(se.textContent=nt),Pe.forEach(o),We=n(a),C=l(a,"DIV",{class:!0});var ye=b(C);f(U.$$.fragment,ye),je=n(ye),re=l(ye,"P",{"data-svelte-h":!0}),u(re)!=="svelte-1rkfgpx"&&(re.textContent=dt),ye.forEach(o),Ge=n(a),F=l(a,"DIV",{class:!0});var Te=b(F);f(Y.$$.fragment,Te),Re=n(Te),ne=l(Te,"P",{"data-svelte-h":!0}),u(ne)!=="svelte-1vzm9q"&&(ne.textContent=lt),Te.forEach(o),Ue=n(a),L=l(a,"DIV",{class:!0});var we=b(L);f(B.$$.fragment,we),Ye=n(we),de=l(we,"P",{"data-svelte-h":!0}),u(de)!=="svelte-7jbjgx"&&(de.textContent=it),we.forEach(o),a.forEach(o),Se=n(e),f(J.$$.fragment,e),be=n(e),D=l(e,"DIV",{class:!0});var Ce=b(D);f(Z.$$.fragment,Ce),Be=n(Ce),le=l(Ce,"P",{"data-svelte-h":!0}),u(le)!=="svelte-6ojmkw"&&(le.innerHTML=at),Ce.forEach(o),Me=n(e),ae=l(e,"P",{}),b(ae).forEach(o),this.h()},h(){M(p,"name","hf:doc:metadata"),M(p,"content",St),M(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(i,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,s){t(document.head,p),c(e,O,s),c(e,S,s),c(e,K,s),h(I,e,s),c(e,pe,s),c(e,q,s),c(e,ue,s),c(e,E,s),c(e,me,s),h(k,e,s),c(e,fe,s),c(e,H,s),c(e,he,s),c(e,z,s),c(e,ge,s),c(e,N,s),c(e,ve,s),h(A,e,s),c(e,_e,s),c(e,i,s),h(V,i,null),t(i,Le),t(i,Q),t(i,Oe),t(i,X),t(i,Ie),t(i,x),h(W,x,null),t(x,qe),t(x,ee),t(x,Ee),h(P,x,null),t(i,ke),t(i,y),h(j,y,null),t(y,He),t(y,te),t(i,ze),t(i,T),h(G,T,null),t(T,Ne),t(T,oe),t(i,Ae),t(i,w),h(R,w,null),t(w,Ve),t(w,se),t(i,We),t(i,C),h(U,C,null),t(C,je),t(C,re),t(i,Ge),t(i,F),h(Y,F,null),t(F,Re),t(F,ne),t(i,Ue),t(i,L),h(B,L,null),t(L,Ye),t(L,de),c(e,Se,s),h(J,e,s),c(e,be,s),c(e,D,s),h(Z,D,null),t(D,Be),t(D,le),c(e,Me,s),c(e,ae,s),xe=!0},p(e,[s]){const a={};s&2&&(a.$$scope={dirty:s,ctx:e}),P.$set(a)},i(e){xe||(g(I.$$.fragment,e),g(k.$$.fragment,e),g(A.$$.fragment,e),g(V.$$.fragment,e),g(W.$$.fragment,e),g(P.$$.fragment,e),g(j.$$.fragment,e),g(G.$$.fragment,e),g(R.$$.fragment,e),g(U.$$.fragment,e),g(Y.$$.fragment,e),g(B.$$.fragment,e),g(J.$$.fragment,e),g(Z.$$.fragment,e),xe=!0)},o(e){v(I.$$.fragment,e),v(k.$$.fragment,e),v(A.$$.fragment,e),v(V.$$.fragment,e),v(W.$$.fragment,e),v(P.$$.fragment,e),v(j.$$.fragment,e),v(G.$$.fragment,e),v(R.$$.fragment,e),v(U.$$.fragment,e),v(Y.$$.fragment,e),v(B.$$.fragment,e),v(J.$$.fragment,e),v(Z.$$.fragment,e),xe=!1},d(e){e&&(o(O),o(S),o(K),o(pe),o(q),o(ue),o(E),o(me),o(fe),o(H),o(he),o(z),o(ge),o(N),o(ve),o(_e),o(i),o(Se),o(be),o(D),o(Me),o(ae)),o(p),_(I,e),_(k,e),_(A,e),_(V),_(W),_(P),_(j),_(G),_(R),_(U),_(Y),_(B),_(J,e),_(Z)}}}const St='{"title":"DPMSolverMultistepScheduler","local":"dpmsolvermultistepscheduler","sections":[{"title":"Tips","local":"tips","sections":[],"depth":2},{"title":"DPMSolverMultistepScheduler","local":"diffusers.DPMSolverMultistepScheduler","sections":[],"depth":2},{"title":"SchedulerOutput","local":"diffusers.schedulers.scheduling_utils.SchedulerOutput","sections":[],"depth":2}],"depth":1}';function bt(ce){return pt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class yt extends mt{constructor(p){super(),ft(this,p,bt,_t,ct,{})}}export{yt as component};
